Hey, human!
This is what your agent sees atdocs.example.com/endpoint/post-api-v1-projects-slug-usecases
HTTP/2 200 OK content-type: text/markdown; charset=utf-8 vary: accept, user-agent x-agent: [ai_agent]
Loading the agent response…
Create a use case
Create a new usecas.
What you provide
- Title: Max 120 characters.
- Descriptionoptional
- Iconoptional
- Contentoptional: Max 16000 characters.
- Docs bodyoptional: Max 16000 characters.
- Publicoptional
- As tooloptional
Do this with AI
I want to create a use case. Use the Restless API. Read the reference for this operation and follow it exactly: https://build.restless.ai/endpoint/post-api-v1-projects-slug-usecases.md Authenticate with your API key as a Bearer token in the Authorization header. Then make the request for me and tell me what came back.
Paste this into Claude, Cursor, or any AI assistant and it will do it for you.
POST
https://app.restless.ai/api/v1/projects/{slug}/usecasescurl --request POST \
--url https://app.restless.ai/api/v1/projects/slug/usecases \
--header 'Authorization: Bearer $API_KEY' \
--header 'Content-Type: application/json' \
--data '
{
"title": "title",
"description": "description",
"icon": "icon",
"content": "content",
"docsBody": "docsBody",
"public": true,
"asTool": true
}
'Path parameters
slugstringrequiredProject slug.
Body
application/jsonrequiredtitlestringrequiredMax 120 characters.
max length 120
descriptionstringiconstringcontentstringMax 16000 characters.
max length 16000
docsBodystringMax 16000 characters.
max length 16000
publicbooleantrue
asToolbooleantrue